Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/regress/usr.bin/sort Explicitly unset LANG and LC_ALL before...



details:   https://anonhg.NetBSD.org/src/rev/0e185688adc3
branches:  trunk
changeset: 509870:0e185688adc3
user:      jdolecek <jdolecek%NetBSD.org@localhost>
date:      Mon May 14 21:31:38 2001 +0000

description:
Explicitly unset LANG and LC_ALL before doing any tests - some tests
fail if sort(1) is run with non-C locale.

Fix the test #42 - /usr/share/dict/words is sorted with -f (case insens),
so we need use the -f flag here too!

diffstat:

 regress/usr.bin/sort/stests |  9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

diffs (29 lines):

diff -r 2a0b69aae259 -r 0e185688adc3 regress/usr.bin/sort/stests
--- a/regress/usr.bin/sort/stests       Mon May 14 20:41:27 2001 +0000
+++ b/regress/usr.bin/sort/stests       Mon May 14 21:31:38 2001 +0000
@@ -1,6 +1,6 @@
 #! /bin/sh
 #      @(#)stests      8.1 (Berkeley) 6/6/93
-#      $NetBSD: stests,v 1.13 2001/05/14 20:39:10 jdolecek Exp $
+#      $NetBSD: stests,v 1.14 2001/05/14 21:31:38 jdolecek Exp $
 
 # This code is derived from software contributed to Berkeley by
 # Peter McIlroy.
@@ -94,6 +94,9 @@
 
 trap "rm -f in in1 out xx -k fields; exit" 0 1 2 13 15
 
+# some tests would fail if non-C locale is used
+unset LANG LC_ALL
+
 # xsort testno options
 # Sort file "in" with specified options.
 # Compare with file "out" if that is supplied,
@@ -986,5 +989,5 @@
 cat /dev/null | sort -f
 
 #---------------------------------------------------------------
-TEST=42; echo $TEST    # sort -H $dict - PR 12673, still bombs (18apr2001)
-sort -H $dict | cmp -s - $dict || echo $TEST failed - sort -f $dict
+TEST=42; echo $TEST    # sort -H $dict; previously bombed
+sort -H -f $dict | cmp -s - $dict || echo $TEST failed - sort -H -f $dict



Home | Main Index | Thread Index | Old Index